Uses of Class
org.codelibs.fess.app.web.admin.user.CreateForm
Packages that use CreateForm
-
Uses of CreateForm in org.codelibs.fess.app.web.admin.user
Subclasses of CreateForm in org.codelibs.fess.app.web.admin.userModifier and TypeClassDescriptionclassForm class for editing users in the admin interface.Methods in org.codelibs.fess.app.web.admin.user with parameters of type CreateFormModifier and TypeMethodDescriptionorg.lastaflute.web.response.HtmlResponseAdminUserAction.create(CreateForm form) Creates a new user.static org.dbflute.optional.OptionalEntity<org.codelibs.fess.opensearch.user.exentity.User> AdminUserAction.getUser(CreateForm form) Returns the user entity based on the provided form data, applying any necessary transformations.static voidAdminUserAction.resetPassword(CreateForm form) Resets the password and confirmation fields in the user form.protected voidAdminUserAction.verifyPassword(CreateForm form, org.lastaflute.web.validation.VaErrorHook validationErrorLambda) Validates the password and confirmation fields in the form for user creation and update. -
Uses of CreateForm in org.codelibs.fess.app.web.api.admin.user
Subclasses of CreateForm in org.codelibs.fess.app.web.api.admin.userModifier and TypeClassDescriptionclassRequest body for creating user via REST API.classRequest body class for user edit operations in the admin REST API.